/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:35
 * Description:缺陷类别表
 */
package com.emr.service;

import com.emr.entity.Emr_Fault_Type;

import java.util.List;

public interface Emr_Fault_TypeService {
    /**
     * 根据条件查询所有缺陷类别列表
     * @param record
     * @return
     */
    List<Emr_Fault_Type> selectByCol(Emr_Fault_Type record);

    /**
     * 取id最大的那条数据
     * @return
     */
    Emr_Fault_Type selectByColDesc();

    /**
     * 根据条件修改缺陷类别信息
     *
     * @param record
     * @return
     */
    int updateByClo(Emr_Fault_Type record);

    /**
     * 根据字段插入缺陷类别信息
     * @param record
     * @return
     */
    int insertClo(Emr_Fault_Type record);

    /**
     * 根据id删除缺陷类别记录
     * @param id
     * @return
     */
    int delById(Integer id);

    /**
     * 根据id修改缺陷类别信息
     *
     * @param id
     * @return
     */
    Emr_Fault_Type selectById(Integer id);

}
 

